/* -*- ObjC -*- */
#ifndef __included_redit_h
#define __included_redit_h

/* Editing modes. */
enum {
    PARALLAX_MODE = 0,
    TILE_MODE     = 1,
    GROUND_MODE   = 2,
    AIR_MODE      = 3,
    NUM_MODES     = 4
} EDITING_MODES;

@class MapPalette;

extern int editing_mode;
extern MapPalette *map_palette;

void redit_loop(const char *fn);

int redit_init(void);
void redit_shutdown(void);

#endif
